define({"0":{i:0.0528508200989326,u:"../Content/P4Ruby/about.html",a:"This guide contains details about using the derived API for Ruby \n to create scripts that interact with Helix Core. You can download the API from the\n      Perforce\n      web site at  https://www.perforce.com/downloads/helix-core-api-ruby.  The derived API depends on the Helix C/C++ API, details for ...",t:"How to use this guide"},"1":{i:0.0528508200989326,u:"../Content/P4Ruby/chapter.ruby.html",a:"P4Ruby\n      is an extension to the Ruby programming language that allows you to run\n      Helix Core\n      commands from within Ruby scripts, and get the results in a Ruby-friendly\n      format. The main features are: Get\n\tHelix Core\n\tdata and forms in hashes and arrays. Edit\n\tHelix Core\n\tforms by ...",t:"P4Ruby"},"2":{i:0.0528508200989326,u:"../Content/P4Ruby/ruby.requirements.html",a:"P4Ruby\n      is supported on Windows, Linux, Solaris, OS X, and FreeBSD. For system requirements, see the release notes at  https://www.perforce.com/perforce/doc.current/user/p4rubynotes.txt . When passing arguments, make sure to omit the space between the argument and its value, such as in the ...",t:"System Requirements and Release Notes"},"3":{i:0.0528508200989326,u:"../Content/P4Ruby/ruby.installation.html",a:"As of version 2015.1, the recommended mechanism for installing\n      P4Ruby\n      is via gems. Outside of Windows, the p4ruby gem installs must be\n      compiled locally against your installation of Ruby. If you can build the\n      core Ruby distribution locally, you likely can install\n      P4Ruby\n ...",t:"Installing P4Ruby"},"4":{i:0.0528508200989326,u:"../Content/P4Ruby/ruby.programming.html",a:"The following example shows how to create a new client workspace based\n      on an existing template: \nrequire \"P4\"\ntemplate = \"my-client-template\"\nclient_root = \u0027c:\\p4-work\u0027\np4 = P4.new\np4.connect\n\nbegin\n\n    # Run a \"p4 client -t template -o\" and convert it into a Ruby hash\n    spec = ...",t:"Programming with P4Ruby"},"5":{i:0.0572767508461338,u:"../Content/P4Ruby/ruby.classes.html",a:"The P4 module consists of several public classes: P4 P4Exception P4::DepotFile P4::Revision P4::Integration P4::Map P4::MergeData P4::Message P4::OutputHandler P4::Progress P4::Spec The following tables provide brief details about each public class. P4 The main class used for executing\n      ...",t:"P4Ruby classes"},"6":{i:0.0572767508461338,u:"../Content/P4Ruby/ruby.p4.html",a:"Main interface to the\n      Helix Core\n      client API. Each  P4 object provides you with a\n      thread-safe API level interface to\n      Helix Core. The\n      basic model is to: Instantiate your P4 object. Specify your\n\t  Helix Core\n\t  client environment. client host password port user Set any ...",t:"Class P4"},"7":{i:0.0528508200989326,u:"../Content/P4Ruby/ruby.p4_exception.html",a:"Shallow subclass of  RuntimeError to be used for\n      catching\n      Helix Core-specific errors.\n      Doesn’t contain any extra information. See P4#errors() and\n      P4#warnings for details of the errors giving rise to the\n      exception. Class Methods None. Instance Methods None.",t:"Class P4Exception"},"8":{i:0.0572767508461338,u:"../Content/P4Ruby/ruby.p4_depotfile.html",a:"Description Utility class providing easy access to the attributes of a file in a\n      Helix Core\n      depot. Each  P4::DepotFile object contains summary\n      information about the file, and a list of revisions\n      ( P4::Revision objects) of that file. Currently, only\n      the P4#run_filelog() ...",t:"Class P4::DepotFile"},"9":{i:0.0572767508461338,u:"../Content/P4Ruby/ruby.p4_revision.html",a:"Description Utility class providing easy access to the revisions of a file in a\n      Helix Core\n      depot.  P4::Revision objects can store basic\n      information about revisions and a list of the integrations for that\n      revision. Created by P4#run_filelog(). Class Methods None. Instance ...",t:"Class P4::Revision"},"10":{i:0.0572767508461338,u:"../Content/P4Ruby/ruby.p4_integration.html",a:"Description Utility class providing easy access to the details of an integration\n      record. Created by P4#run_filelog(). Class Methods None. Instance Methods integ.how -\u003e aString Returns the type of the integration record - how that record was\n      created. integ.file -\u003e aPath Returns the path ...",t:"Class P4::Integration"},"11":{i:0.0572767508461338,u:"../Content/P4Ruby/ruby.p4_map.html",a:"Description The  P4::Map class allows users to create and work\n      with\n      Helix Core\n      mappings, without requiring a connection to aHelix server. Class Methods Map.new ( [ anArray ] ) -\u003e aMap Constructs a new  P4::Map object. Map.join ( map1, map2 ) -\u003e aMap Join two  P4::Map objects and ...",t:"Class P4::Map"},"12":{i:0.0572767508461338,u:"../Content/P4Ruby/ruby.p4_mergedata.html",a:"Description Class containing the context for an individual merge during execution of\n      a  p4 resolve. Class Methods None. Instance Methods md.your_name() -\u003e aString Returns the name of \"your\" file in the merge. This is typically a path\n      to a file in the workspace. \np4.run_resolve() do\n  ...",t:"Class P4::MergeData"},"13":{i:0.0572767508461338,u:"../Content/P4Ruby/ruby.p4_message.html",a:"Description P4::Message objects contain error or other\n      diagnostic messages from the\n      Helix Versioning Engine; retrieve\n      them by using the P4#messages() method. Script writers can test the severity of the messages in order to\n      determine if the server message consisted of command ...",t:"Class P4::Message"},"14":{i:0.0572767508461338,u:"../Content/P4Ruby/ruby.p4_outputhandler.html",a:"Description The  P4::OutputHandler class is a handler class that\n      provides access to streaming output from the server. After defining the\n      output handler, set P4#handler() to an instance of a\n      subclass of  P4::OutputHandler (or use a\n      p4.with_handler( handler ) block) to enable ...",t:"Class P4::OutputHandler"},"15":{i:0.0572767508461338,u:"../Content/P4Ruby/ruby.p4_progress.html",a:"Description The  P4::Progress class is a handler class that\n      provides access to progress indicators from the server. After defining\n      the output handler, set P4#progress() to an instance of a\n      subclass of  P4::Progress (or use a\n      p4.with_progress( progress ) block) to enable ...",t:"Class P4::Progress"},"16":{i:0.0572767508461338,u:"../Content/P4Ruby/ruby.p4_spec.html",a:"Description The  P4::Spec class is a hash containing key/value\n      pairs for all the fields in a\n      Helix server\n      form. It provides two things over and above its parent class (Hash): Fieldname validation. Only valid field names may be set in a\n\t P4::Spec object. Note that only the field ...",t:"Class P4::Spec"},"17":{i:0.0528508200989326,u:"../Content/P4Ruby/license.statements.html",a:"Perforce Software includes software developed by the University of\n    California, Berkeley and its contributors. This product includes\n    software developed by the OpenSSL Project for use in the OpenSSL\n    Toolkit ( http://www.openssl.org/ ).\n   Perforce Software includes software from the Apache ...",t:"License Statements"},});